package com.link.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-04-13
 */
@Data
@ApiModel(value = "")
public class BdajobDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "总任务id")
	private String jobId;

	@ApiModelProperty(value = "总任务名称")
	private String jobName;

	@ApiModelProperty(value = "任务所属目录id")
	private String category;

	@ApiModelProperty(value = "任务DAG描述")
	private String graphxml;

	@ApiModelProperty(value = "创建账户")
	private String account;

	@ApiModelProperty(value = "描述")
	private String description;

	@ApiModelProperty(value = "任务下发成功时间")
	private String lastSubmitTime;

	@ApiModelProperty(value = "所有节点运行结束时间")
	private String endtime;

	@ApiModelProperty(value = "")
	private Integer isExample;

	@ApiModelProperty(value = "")
	private String oozieJob;

	@ApiModelProperty(value = "是否已发布")
	private Integer published;

	@ApiModelProperty(value = "创建日期")
	private String createdAt;

	@ApiModelProperty(value = "发布账户")
	private String publishAccount;

	@ApiModelProperty(value = "应用指标集合")
	private List<BdajobConfigDTO> bdajobConfigDtoList;


}