package com.link.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 指标数据表
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-05-15
 */
@Data
@ApiModel(value = "指标数据表")
public class IndiceDataDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "节点id")
	private Long nodeId;

	@ApiModelProperty(value = "单次任务id")
	private String oozieJobId;

	@ApiModelProperty(value = "指标id")
	private Long indiceId;

	@ApiModelProperty(value = "周期参数")
	private String cycleIndex;

	@ApiModelProperty(value = "周期类型")
	private String cycleType;

	@ApiModelProperty(value = "结果数据")
	private String resultData;

	@ApiModelProperty(value = "创建时间")
	private Date createTime;


}