package com.link.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.link.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-04-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("agentnode")
public class AgentnodeEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 省节点id
     */
    private String id;
    /**
     * 节点名称
     */
    private String name;
    /**
     * 描述
     */
    private String description;
    /**
     * 实时负载描述
     */
    private String resourcestatus;
    /**
     * ak
     */
    private String accesskey;
    /**
     * sk
     */
    private String secretkey;
    /**
     * 默认hive ip
     */
    private String defaulthiveip;
    /**
     * 默认hive 端口
     */
    private Integer defaulthiveport;
    /**
     * 默认hbase ip
     */
    private String defaulthbaseip;
    /**
     * 默认hbase端口
     */
    private Integer defaulthbaseport;
    /**
     * 创建日期
     */
    private String createtime;
    /**
     * 上次心跳时间
     */
    private String hbtime;
    /**
     * 上传总部队列名称
     */
    private String queuetocentername;
    /**
     * 上传总部队列用户名
     */
    private String queuetocenteruser;
    /**
     * 上传总部队列密码
     */
    private String queuetocenterpasswd;
    /**
     * 下发省部队列名称
     */
    private String queuetoagentname;
    /**
     * 下发省部队列用户名
     */
    private String queuetoagentuser;
    /**
     * 下发省部队列密码
     */
    private String queuetoagentpasswd;
    /**
     * UEP 地址
     */
    private String uepaddr;
    /**
     * 连接方式（ws，uep）
     */
    private String conntype;
    /**
     *
     */
    private Integer seq;
}