/**
 * Copyright (c) 2018 开源 All rights reserved.
 *
 * https://www.link.io
 *
 * 版权所有，侵权必究！
 */

package com.link.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户
 * 
 * @author Mark sunlightcs@gmail.com
 */
@Data
@TableName("account")
public class UserEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 账户名
	 */
	@TableId
	private String email;
	/**
	 * 昵称
	 */
	private String username;
	/**
	 * 密码
	 */
	@JSONField(serialize=false)
	private String password;
	/**
	 *
	 */
	private String verified;
	/**
	 * 创建时间
	 */
	private String createtime;
	/**
	 *
	 */
	private String serial;
	/**
	 *
	 */
	private String token;
	/**
	 *
	 */
	private String activetime;
	/**
	 *
	 */
	private String company;
	/**
	 *
	 */
	private String position;
	/**
	 *
	 */
	private String verifylink;
	/**
	 *
	 */
	private String power;
	/**
	 *
	 */
	private String description;
}