package com.link.dao;

import com.link.common.dao.BaseDao;
import com.link.dto.IndiceDataDTO;
import com.link.entity.IndiceDataEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 指标数据表
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-05-15
 */
@Mapper
public interface IndiceDataDao extends BaseDao<IndiceDataEntity> {

    List<IndiceDataEntity> getJoinList(Map<String, Object> paramsMap);
}