package com.link.service;

import com.link.common.page.PageData;
import com.link.common.service.CrudService;
import com.link.dto.OoziejobresultDTO;
import com.link.entity.OoziejobresultEntity;
import com.link.dto.OoziejobresultDTO;
import com.link.entity.OoziejobresultEntity;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-04-13
 */
public interface OoziejobresultService extends CrudService<OoziejobresultEntity, OoziejobresultDTO> {

    /**
     *  @author Mr.Feng
     *  @date 2020/4/13 14:13
     *  @description 分页
     */
    PageData<OoziejobresultDTO> getPage(Map<String,Object> params);

    /**
     *  @author Mr.Feng
     *  @date 2020/4/17 11:30
     *  @description 连接查询
     */
    List<OoziejobresultDTO> getJoinList(Map<String,Object> params);

}